﻿using System;
using System.Collections.Generic;
using System.Text;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.PluginInfrastructure {
  public interface IPluginLoader {
    /// <summary>
    /// Returns all activators found.
    /// </summary>
    IList<IActivator> Activators { get; }

    /// <summary>
    /// Returns all plugins found.
    /// </summary>
    IList<IPlugin> Plugins { get; }

    /// <summary>
    /// Returns all Applications found.
    /// </summary>
    IList<IApplication> Applications { get; }
  }
}
